summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRepository mirror & CI <repomirrorci@gentoo.org>2023-11-23 15:17:20 +0000
committerRepository mirror & CI <repomirrorci@gentoo.org>2023-11-23 15:17:20 +0000
commitb9890e472dca75d44ce840407d6bc8724b0c8501 (patch)
treee5e434e5f6fb65747575bc25ca8eba19883293c3
parent2023-11-23 13:31:59 UTC (diff)
parentdev-scheme/racket: bump to 8.11 (diff)
downloadgentoo-b9890e472dca75d44ce840407d6bc8724b0c8501.tar.gz
gentoo-b9890e472dca75d44ce840407d6bc8724b0c8501.tar.bz2
gentoo-b9890e472dca75d44ce840407d6bc8724b0c8501.zip
Merge updates from master
-rw-r--r--app-containers/devcontainer/Manifest1
-rw-r--r--app-containers/devcontainer/devcontainer-0.54.0.ebuild46
-rw-r--r--app-emacs/helm/Manifest1
-rw-r--r--app-emacs/helm/helm-3.9.6.ebuild37
-rw-r--r--dev-dotnet/avalonia-ilspy/avalonia-ilspy-7.2_rc-r1.ebuild (renamed from dev-dotnet/avalonia-ilspy/avalonia-ilspy-7.2_rc.ebuild)8
-rw-r--r--dev-dotnet/nake/nake-3.0.0-r1.ebuild (renamed from dev-dotnet/nake/nake-3.0.0.ebuild)8
-rw-r--r--dev-python/fonttools/Manifest1
-rw-r--r--dev-python/fonttools/fonttools-4.45.1.ebuild91
-rw-r--r--dev-python/jupyterlab-pygments/Manifest1
-rw-r--r--dev-python/jupyterlab-pygments/jupyterlab-pygments-0.3.0.ebuild30
-rw-r--r--dev-python/mkdocs-material/Manifest1
-rw-r--r--dev-python/mkdocs-material/mkdocs-material-9.4.11.ebuild67
-rw-r--r--dev-python/phonenumbers/Manifest1
-rw-r--r--dev-python/phonenumbers/phonenumbers-8.13.26.ebuild39
-rw-r--r--dev-python/sybil/Manifest1
-rw-r--r--dev-python/sybil/sybil-6.0.2.ebuild34
-rw-r--r--dev-scheme/racket/Manifest2
-rw-r--r--dev-scheme/racket/files/racket-8.11-repair-builtpkgs.patch61
-rw-r--r--dev-scheme/racket/racket-8.11.ebuild184
-rw-r--r--eclass/multibuild.eclass2
20 files changed, 613 insertions, 3 deletions
diff --git a/app-containers/devcontainer/Manifest b/app-containers/devcontainer/Manifest
index 9bc8fc707544..4b5c1f198026 100644
--- a/app-containers/devcontainer/Manifest
+++ b/app-containers/devcontainer/Manifest
@@ -1,2 +1,3 @@
DIST devcontainer-0.52.1.tgz 614268 BLAKE2B e1e2979e7d105e0082db4019260b7015c6bab9899f43e75ff1246f879bd659557404ca2f10ffa021bd5cf2caaff6f0dad53ca8b8c48e7f082d00961c9982faf0 SHA512 b182b57071c356374121dc63301f0eebaf3ea9fd0000424f31b78c47d6536d4cd74013647bcf2f50e67a0c3f528eca9e1397acf12a565fa8d5ea0688b73245c8
DIST devcontainer-0.53.0.tgz 614575 BLAKE2B b7279b629cae49da39eca9defa17055b94c95db8ed79f78ec869f15a361ae12b4142817433e789c0d1231a753a1c7cc0247d5de738981f0f17c61de82aa7a8c9 SHA512 942e3b4b4ab19de876f22fcad16a1b41e5edc271cafcbc3281f198a80156e44ea94217cfcb4e0ef63ca96e6e854e030f4f70a51e7bcc655f0cb8cf23dcf003dc
+DIST devcontainer-0.54.0.tgz 603716 BLAKE2B fc3853f69b88c8d31b5bce463e9ca4e393e6084286f9f3ffc504c1bff27f90e276168ac09f42354dc1498c98ac8336ee4b85dd5605d10c7f31d156ea2f33a95b SHA512 197bfe938d31280a27c02091ac9a5288b70993e305290444fcb11886f03c81899391ca7797e532469764e54fcc3dfc93ba73f306a3f4a08d5e8b6bf38609f456
diff --git a/app-containers/devcontainer/devcontainer-0.54.0.ebuild b/app-containers/devcontainer/devcontainer-0.54.0.ebuild
new file mode 100644
index 000000000000..399665b46cde
--- /dev/null
+++ b/app-containers/devcontainer/devcontainer-0.54.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Reference implementation of the Development Containers specification"
+HOMEPAGE="https://containers.dev/
+ https://github.com/devcontainers/cli/"
+SRC_URI="https://registry.npmjs.org/@devcontainers/cli/-/cli-${PV}.tgz
+ -> ${P}.tgz"
+S="${WORKDIR}/package"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ net-libs/nodejs
+"
+BDEPEND="
+ >=net-libs/nodejs-16[npm]
+"
+
+DOCS=( CHANGELOG.md README.md )
+
+src_compile() {
+ # Skip, nothing to compile here.
+ :
+}
+
+src_install() {
+ local -a my_npm_opts=(
+ --audit false
+ --color false
+ --foreground-scripts
+ --global
+ --offline
+ --omit dev
+ --prefix "${ED}/usr"
+ --progress false
+ --verbose
+ )
+ npm "${my_npm_opts[@]}" install "${DISTDIR}/${P}.tgz" || die "npm install failed"
+
+ einstalldocs
+}
diff --git a/app-emacs/helm/Manifest b/app-emacs/helm/Manifest
index f883f8411833..12365e29703d 100644
--- a/app-emacs/helm/Manifest
+++ b/app-emacs/helm/Manifest
@@ -1 +1,2 @@
DIST helm-3.9.5.tar.gz 2374812 BLAKE2B 6d2428297faa15fff4b07ddc857e89ddc1aa0a6c5a3eb0f96fecff1b01259050c597b43222b169dfbdb86fabe7cbe0094b829bc3dbca42736139a0ec03846176 SHA512 0096580abcf6ac4e9f20cd56a9390b8234c5d08786b13e2d4428568a0412508bb6b0820c88c0a3ceec34495d1c4514166d201986a3b0967ef2a2735d471a94e3
+DIST helm-3.9.6.tar.gz 2377510 BLAKE2B 9a93ce18b8686f7061355da78dec673faaa84b7b2f3259258ef75cf73d2ba6c323ca17771bddf4fe85b710e64503e3e9361c79609e18c42eb2fcc3e0c06f287e SHA512 ebf0fb4dbb2aed5d0e1f312e166862cf5dcd98fa1d2217a9924f9f32869229b8abfbb1ef41c6dc7530a002be62b7592cab9b0f9186135e049bdcb972b614cb6a
diff --git a/app-emacs/helm/helm-3.9.6.ebuild b/app-emacs/helm/helm-3.9.6.ebuild
new file mode 100644
index 000000000000..76671b3b26bc
--- /dev/null
+++ b/app-emacs/helm/helm-3.9.6.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2019-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit elisp
+
+DESCRIPTION="Emacs incremental completion and selection narrowing framework"
+HOMEPAGE="https://emacs-helm.github.io/helm/
+ https://github.com/emacs-helm/helm/"
+SRC_URI="https://github.com/emacs-helm/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ app-emacs/async
+ app-emacs/popup
+"
+BDEPEND="${RDEPEND}"
+
+PATCHES=( "${FILESDIR}"/${PN}-3.8.8-no-autoload-check.patch )
+SITEFILE="50${PN}-gentoo.el"
+
+src_compile() {
+ elisp-compile *.el
+ elisp-make-autoload-file
+}
+
+src_install() {
+ elisp_src_install
+
+ exeinto /usr/bin/
+ doexe emacs-helm.sh
+}
diff --git a/dev-dotnet/avalonia-ilspy/avalonia-ilspy-7.2_rc.ebuild b/dev-dotnet/avalonia-ilspy/avalonia-ilspy-7.2_rc-r1.ebuild
index 1812e2d4d2ed..1224e68df4ec 100644
--- a/dev-dotnet/avalonia-ilspy/avalonia-ilspy-7.2_rc.ebuild
+++ b/dev-dotnet/avalonia-ilspy/avalonia-ilspy-7.2_rc-r1.ebuild
@@ -7,7 +7,7 @@ MY_PN=AvaloniaILSpy
MY_PV="${PV/_/-}"
MY_P="${MY_PN}-${MY_PV}"
-DOTNET_PKG_COMPAT=6.0
+DOTNET_PKG_COMPAT=8.0
NUGETS="
avalonia.angle.windows.natives@2.1.0.2020091801
avalonia.avaloniaedit@0.10.12.2
@@ -282,6 +282,12 @@ RDEPEND="
CHECKREQS_DISK_BUILD="2G"
DOTNET_PKG_PROJECTS=( ILSpy/ILSpy.csproj )
+DOTNET_PKG_RESTORE_EXTRA_ARGS=(
+ -p:RollForward=Major
+)
+DOTNET_PKG_BUILD_EXTRA_ARGS=( "${DOTNET_PKG_RESTORE_EXTRA_ARGS[@]}" )
+DOTNET_PKG_TEST_EXTRA_ARGS=( "${DOTNET_PKG_RESTORE_EXTRA_ARGS[@]}" )
+
DOCS=( README.md doc )
pkg_setup() {
diff --git a/dev-dotnet/nake/nake-3.0.0.ebuild b/dev-dotnet/nake/nake-3.0.0-r1.ebuild
index 780e78286676..d53aa6edb188 100644
--- a/dev-dotnet/nake/nake-3.0.0.ebuild
+++ b/dev-dotnet/nake/nake-3.0.0-r1.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-DOTNET_PKG_COMPAT=6.0
+DOTNET_PKG_COMPAT=8.0
NUGETS="
dotnet.script.dependencymodel.nuget@1.3.1
dotnet.script.dependencymodel@1.3.1
@@ -248,6 +248,12 @@ CHECKREQS_DISK_BUILD="2G"
DOTNET_PKG_PROJECTS=( "${S}/Source/Nake/Nake.csproj" )
PATCHES=( "${FILESDIR}/${PN}-3.0.0-csproj-framework.patch" )
+DOTNET_PKG_RESTORE_EXTRA_ARGS=(
+ -p:RollForward=Major
+)
+DOTNET_PKG_BUILD_EXTRA_ARGS=( "${DOTNET_PKG_RESTORE_EXTRA_ARGS[@]}" )
+DOTNET_PKG_TEST_EXTRA_ARGS=( "${DOTNET_PKG_RESTORE_EXTRA_ARGS[@]}" )
+
pkg_setup() {
check-reqs_pkg_setup
dotnet-pkg_pkg_setup
diff --git a/dev-python/fonttools/Manifest b/dev-python/fonttools/Manifest
index 36b556deeec7..943fd2b13cc3 100644
--- a/dev-python/fonttools/Manifest
+++ b/dev-python/fonttools/Manifest
@@ -3,3 +3,4 @@ DIST fonttools-4.44.0.gh.tar.gz 3771969 BLAKE2B 26a9bef8e6f5595bca8a27ca1b46cfa1
DIST fonttools-4.44.1.gh.tar.gz 3772404 BLAKE2B 75ea507c234846e26d3e1693c3ae8c23ac45c1ed0496958cf9589928e2918b496038f8729c7418080adf64e94a1ae0cb156e2b5925b69885660225daa8596359 SHA512 574dc1661c5b6cd63d70f4195f06e2dc6fe75bf84912720390314c2b3ed5edaaf05cc8879520b356857aef4cfd23ef2ae4c42c5cf5048359be63f757644d95b2
DIST fonttools-4.44.3.gh.tar.gz 3775926 BLAKE2B fcc482ffa6163f895cf6ea8721dae3ce85beea3bbf3d19c30e5f2a681356e66ff5ffc3ee4b228244eaebbcc76e397ec1e841ed3f96fda2eb2561e26f0b90a174 SHA512 cedac35c1273d95785095678a90aef58307b5c66bcd3c2e4f72f6642412265e783afc5e0e1e4cff77ceb31f1f5406ae24d130856c41821998da94e088628823e
DIST fonttools-4.45.0.gh.tar.gz 3785706 BLAKE2B d5e9d4ec5b04e789379834846b4545a3aac7c793127aff017a09fd07439413890919241a3692416b7f570ccb8b41e86d46a7f3a132d86357b1c8f63a1cbc1b9f SHA512 6132912f547e5b74f06749bf098cd31e27b1ff4ecfee874a29a1b82d339575b94e5f1580ee4d5b8b7588ae7382f298fd5ef537b165477a2f37e9112d51c58c2d
+DIST fonttools-4.45.1.gh.tar.gz 3787665 BLAKE2B 5f7f821eda2fe3e9f9e72417e9e545d495322fa363a1b4760f46ade75c803ec8a66ed2c7e1ab7c7eb84ff7b375d038b8ac02f56201ed2b73844e83ed1dcf25d3 SHA512 58926a3e8cb27148753010c66b5eee071ea88cd8a568fe10e76c94de190fa0685acbb6be1393b03f8fddfe6142b0d523bb17573f4db25c0e057a26f9579c5219
diff --git a/dev-python/fonttools/fonttools-4.45.1.ebuild b/dev-python/fonttools/fonttools-4.45.1.ebuild
new file mode 100644
index 000000000000..3d1e57011c88
--- /dev/null
+++ b/dev-python/fonttools/fonttools-4.45.1.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Library for manipulating TrueType, OpenType, AFM and Type1 fonts"
+HOMEPAGE="
+ https://github.com/fonttools/fonttools/
+ https://pypi.org/project/fonttools/
+"
+SRC_URI="
+ https://github.com/fonttools/fonttools/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+IUSE="+native-extensions"
+
+RDEPEND="
+ >=dev-python/fs-2.4.9[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ native-extensions? (
+ $(python_gen_cond_dep '
+ dev-python/cython[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+ test? (
+ dev-python/brotlicffi[${PYTHON_USEDEP}]
+ app-arch/zopfli
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # When dev-python/pytest-shutil is installed, we get weird import errors.
+ # This is due to incomplete nesting in the Tests/ tree:
+ #
+ # Tests/feaLib/__init__.py
+ # Tests/ufoLib/__init__.py
+ # Tests/svgLib/path/__init__.py
+ # Tests/otlLib/__init__.py
+ # Tests/varLib/__init__.py
+ #
+ # This tree requires an __init__.py in Tests/svgLib/ too, bug #701148.
+ touch Tests/svgLib/__init__.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ local -x FONTTOOLS_WITH_CYTHON=$(usex native-extensions)
+ [[ ${EPYTHON} == pypy3 ]] && FONTTOOLS_WITH_CYTHON=0
+ distutils-r1_python_compile
+}
+
+src_test() {
+ # virtualx used when matplotlib is installed causing plot module tests to run
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ if [[ ${EPYTHON} == pypy3 ]] &&
+ has_version "dev-python/pyxattr[${PYTHON_USEDEP}]" &&
+ {
+ has_version "<dev-python/pypy3_10-exe-7.3.13_p2" ||
+ has_version "<dev-python/pypy3_10-exe-bin-7.3.13_p2"
+ }
+ then
+ EPYTEST_DESELECT+=(
+ # affected by a bug in PyPy/pyxattr
+ # https://github.com/iustin/pyxattr/issues/41
+ Tests/t1Lib/t1Lib_test.py::ReadWriteTest::test_read_with_path
+ )
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ nonfatal epytest Tests fontTools || die -n "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/jupyterlab-pygments/Manifest b/dev-python/jupyterlab-pygments/Manifest
index 664a8ff7a6eb..6dc1da3ee40a 100644
--- a/dev-python/jupyterlab-pygments/Manifest
+++ b/dev-python/jupyterlab-pygments/Manifest
@@ -1 +1,2 @@
DIST jupyterlab_pygments-0.2.2.tar.gz 132378 BLAKE2B a9db4c3bfea9e8e6f357c90e9b1861cf2bcb796fe5d7ea9a0f02677773b18dd5a02966d8555cd17e8314b283056ac9423948077d6cdc127985f34a5faf892ec1 SHA512 59d328522b11ecae6ae67ef8f9eb7168b0e4241cc6a68765096bf0ad26a20489f302179d50e7e46efd5b9de711520e2c67ab1e634cc583416277a98a5f663daa
+DIST jupyterlab_pygments-0.3.0-py3-none-any.whl 15884 BLAKE2B 09c7190853999513a326464de056e8aa5e0bbe02713c42a4e3dc05f67153891fef78388799465293d40b4069c2d9d1b45eaea5c1a92b10e069e4bf88308247b3 SHA512 12132631d0e35c9698c60370277325ffaaeb967314c8c4cf820045b0f6138e860682699381fce4a37402ecf0854bac344c4be22d15c1d543bebdbb4cf8f43d9b
diff --git a/dev-python/jupyterlab-pygments/jupyterlab-pygments-0.3.0.ebuild b/dev-python/jupyterlab-pygments/jupyterlab-pygments-0.3.0.ebuild
new file mode 100644
index 000000000000..011c3409a41f
--- /dev/null
+++ b/dev-python/jupyterlab-pygments/jupyterlab-pygments-0.3.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Pygments theme making use of JupyterLab CSS variables"
+HOMEPAGE="
+ https://pypi.org/project/jupyterlab-pygments/
+ https://github.com/jupyterlab/jupyterlab_pygments/
+"
+SRC_URI="$(pypi_wheel_url)"
+S=${WORKDIR}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/pygments[${PYTHON_USEDEP}]
+"
+
+python_compile() {
+ distutils_wheel_install "${BUILD_DIR}/install" \
+ "${DISTDIR}/$(pypi_wheel_name)"
+}
diff --git a/dev-python/mkdocs-material/Manifest b/dev-python/mkdocs-material/Manifest
index b02d42910140..4967d08fe999 100644
--- a/dev-python/mkdocs-material/Manifest
+++ b/dev-python/mkdocs-material/Manifest
@@ -1,4 +1,5 @@
DIST mkdocs-material-9.4.10.gh.tar.gz 14552628 BLAKE2B 167cc7388d18c4db4c763b50356932a5e1fe03c19232fb79a6cfdecefb6295c67fabfc089ccd83660bebba6098ad1ba24ecb9afcf58d91e46401821466fce502 SHA512 62905520b8ad9ede2357f4b4208a9409aa7134d77b51efdcd87de2a69ba6b4200da297a8b654ff9c96a9147b322c753b66e6106f5d0b872a9b993494801b7e22
+DIST mkdocs-material-9.4.11.gh.tar.gz 14560073 BLAKE2B 83079e3a7fa1fc4125954e49953666c52619148157174f8d1f9abea95b10715122f4d053219eef9253db2d7137d8abc053ea096c52006e5ff05d2f4026ca4220 SHA512 38d7de0e21125a71fab33d2469d1b6775cb45f85d9775eef9e4a1feefd01a18ea658e6ca9dcb16ccf0f580089be12d52812f5f34d5500502b11f72f30c66d080
DIST mkdocs-material-9.4.7.gh.tar.gz 14556029 BLAKE2B a3f0289afcd38dc9af2bb18205e19e78565fbe4230ed5a730736945d6b12edbcf598b337ad0715b96184059d434b6589d133bc93cec7624a72bc89ce4c30c352 SHA512 31feb4bdb5ad54fdfbe0cc054fce76e2af3b2c87424c1f3ffbda7500852074994a09de94c51b87fa40145afce6e82911b3e7399691a6c736e8c0858cc094107b
DIST mkdocs-material-9.4.8.gh.tar.gz 14556346 BLAKE2B 21cdf8e9c4d0e236db1d3bc34510be57ea273ec8b8761d896b82f32e1001313f4e00716a9b90c956ef81b522370e622bc6ad83c342a5c29cdd83e3006aae0bdf SHA512 d6f89071b60f1259f34e96e5ff3562c80096a1b3ac2b5ff44f1bf20818bdff32067d125c24d15c3b8e794e3649c42f6681417dbf1b72f0c0bd10e345e20b5be9
DIST mkdocs-material-9.4.9.gh.tar.gz 14552215 BLAKE2B 69411102e874017f9a74991cda8552d9ea2422ba5717bfe31e89f99f1e042711ea2c12cf4eb1bcd1b897d260c262869c9c230c5c4ec8c9a110be5583546dd882 SHA512 cb7535b2989f752a4cbd4bf783358dcc388e4cff03273898273b1c65332471dcd7a21571e9bf1c55666339e0462bf356d1d6c17f59f75a54ab388bb357e1c6a3
diff --git a/dev-python/mkdocs-material/mkdocs-material-9.4.11.ebuild b/dev-python/mkdocs-material/mkdocs-material-9.4.11.ebuild
new file mode 100644
index 000000000000..4bb3a9a57338
--- /dev/null
+++ b/dev-python/mkdocs-material/mkdocs-material-9.4.11.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..12} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/mkdocs-material-extensions
+ dev-python/mkdocs-minify-plugin
+ dev-python/mkdocs-redirects
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A Material Design theme for MkDocs"
+HOMEPAGE="
+ https://github.com/squidfunk/mkdocs-material/
+ https://pypi.org/project/mkdocs-material/
+"
+SRC_URI="
+ https://github.com/squidfunk/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="social"
+
+RDEPEND="
+ >=dev-python/Babel-2.10.3[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.6[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.5.3[${PYTHON_USEDEP}]
+ >=dev-python/paginate-0.5.6[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.16[${PYTHON_USEDEP}]
+ >=dev-python/pymdown-extensions-10.2[${PYTHON_USEDEP}]
+ >=dev-python/readtime-2.0[${PYTHON_USEDEP}]
+ >=dev-python/regex-2022.4.24[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.26[${PYTHON_USEDEP}]
+ social? (
+ >=dev-python/pillow-9.0[${PYTHON_USEDEP}]
+ >=media-gfx/cairosvg-2.5[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ >=dev-python/trove-classifiers-2023.10.18[${PYTHON_USEDEP}]
+"
+# mkdocs-material-extensions depends on mkdocs-material creating a circular dep
+PDEPEND="
+ >=dev-python/mkdocs-material-extensions-1.2[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ # simplify pyproject to remove extra deps for metadata
+ "${FILESDIR}/${PN}-8.5.7-simplify-build.patch"
+)
+
+src_prepare() {
+ echo "__version__ = '${PV}'" > gentoo_version.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/phonenumbers/Manifest b/dev-python/phonenumbers/Manifest
index bc7157b210c5..e421d602c438 100644
--- a/dev-python/phonenumbers/Manifest
+++ b/dev-python/phonenumbers/Manifest
@@ -1,2 +1,3 @@
DIST python-phonenumbers-8.13.24.gh.tar.gz 4916204 BLAKE2B e283c7eb8e3936f6affc82f4e884e74f8f29b1ea43f9a5f3ab200b882d0a153cac9d199b0e44a6ca54098591f7044a92b82eb5cd254ca6d29439d18f3d2d6a7f SHA512 de11794c3e1ea8823a1e4fa0e998fd9657f4ebf4d187bd59e361bb0cb24cb771595ceb99e9ae4fb14e2ea0bb4058bacc13abce6dc6837911abbf7db5ceec0db2
DIST python-phonenumbers-8.13.25.gh.tar.gz 4915568 BLAKE2B 2c547c41f6d7544dd243ae5149e8b90d4a7fa6e29c2e809bd682fb31027d863878ef9a5c7331f967c2f7da824b0dde9447527b8f15a4517533ce8dfb9f7b4285 SHA512 416363cfcbdf1eb0f32cac1141720208fc198f810190e1b79403121ff1f77bf66570ca0b5ea3e2197994dc5408af040a045dbfcc241fec70c63146f05b24474b
+DIST python-phonenumbers-8.13.26.gh.tar.gz 4916065 BLAKE2B 383c4be5593abaa332dc75e8db348f085e7a695af2bc89185faf176fcd77148060889d92244097cc8cafa8e08fe52e6e62be32a31721576c330531c8277d7af3 SHA512 37daea2458b95536c25f4026c1aea79d2ab34c73c957178edcdb63cac96d1d84b4ce92b4e239354090321c4980bb26170862602423d3db3edc3c68c9f659582e
diff --git a/dev-python/phonenumbers/phonenumbers-8.13.26.ebuild b/dev-python/phonenumbers/phonenumbers-8.13.26.ebuild
new file mode 100644
index 000000000000..e686a889cbea
--- /dev/null
+++ b/dev-python/phonenumbers/phonenumbers-8.13.26.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P=python-${P}
+DESCRIPTION="Python port of Google's libphonenumber"
+HOMEPAGE="
+ https://github.com/daviddrysdale/python-phonenumbers/
+ https://pypi.org/project/phonenumbers/
+"
+SRC_URI="
+ https://github.com/daviddrysdale/python-phonenumbers/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/python
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( ../README.md )
+
+python_test() {
+ "${EPYTHON}" testwrapper.py -v || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/sybil/Manifest b/dev-python/sybil/Manifest
index 8103cfbfccfe..fc1a2778c110 100644
--- a/dev-python/sybil/Manifest
+++ b/dev-python/sybil/Manifest
@@ -1,3 +1,4 @@
DIST sybil-5.0.3.gh.tar.gz 56660 BLAKE2B 99af245f765630523ab2c6cb21452a0c3a970109102900530f5528ac0902d0472ceb09778bd266e9071816de1da397480e53220a974c5cc38f40367d552cef5e SHA512 0e2a96457b506558b4e9c58890a370c63dbde2c36780dd031cfe8de828f15a2f790c55df81d86800599302958006e704e627b7e8a5d3dd786398ce5f8ea46d35
DIST sybil-6.0.0.gh.tar.gz 67505 BLAKE2B b7408802d5f6796701603762f1e48dbd2f218b5ae80fad940f1ba1fdf0643d1f16cb0a88d94b6385f6ff47d4ab18463be613f736613fa5f0baa3f9ff056ebfa8 SHA512 a03cb7e874a6a41f41ca21e9110f0b8f0d45bb94a5cd7c4f0eb0528ce01db4ac9ca6d8d84663d8851c01dda5da3cb232bcadb33594c5c10e5775f390db37ee9a
DIST sybil-6.0.1.gh.tar.gz 67593 BLAKE2B 443881e81da6456f0790929556334513a8e50d54a0053ddb88b07e29e736e9429ea59fdc30b2d7ff7bdf7e1ec9e272864568aa64fb20a52377d0ee0b39ce30aa SHA512 e71f06744ff07f973ac7f131cd58d4df3697b1cf42a5983b9a93b657d9bfc9358084dcdec00de624b5e89ffa518e64d45591bf616fb53f5e4659ff9755893cd9
+DIST sybil-6.0.2.gh.tar.gz 67619 BLAKE2B ec723cb21d2ac1232bd6e9a3e3edb0bc65c705048c2d288df778b4dd19a1b46c956f7d2bd57dfa028d7a8a06357501ffc1226ba171e2073abec51f8d3c536d86 SHA512 9966173b5fb013be1f298b586052d8c10b76efb43bf5230f3d0b780e6d6238e7e33840eeb7c8b9860911351ea612766ed19ea2a61d48424465f3b58e408da5d2
diff --git a/dev-python/sybil/sybil-6.0.2.ebuild b/dev-python/sybil/sybil-6.0.2.ebuild
new file mode 100644
index 000000000000..38d5f40dd52e
--- /dev/null
+++ b/dev-python/sybil/sybil-6.0.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2019-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Automated testing for the examples in your documentation"
+HOMEPAGE="
+ https://github.com/simplistix/sybil/
+ https://pypi.org/project/sybil/
+"
+# tests are missing in sdist, as of 5.0.1
+SRC_URI="
+ https://github.com/simplistix/sybil/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/myst-parser[${PYTHON_USEDEP}]
+ dev-python/seedir[${PYTHON_USEDEP}]
+ dev-python/testfixtures[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-scheme/racket/Manifest b/dev-scheme/racket/Manifest
index c13b0f07a14d..c44bb6cf233c 100644
--- a/dev-scheme/racket/Manifest
+++ b/dev-scheme/racket/Manifest
@@ -1,6 +1,8 @@
DIST racket-8.10-src-builtpkgs.tgz 156573576 BLAKE2B def6007fec5701a3ca399f3173f863155214521e95b8e655090a61506a8ecd8eae7ddc02785593d256e6a0e23f022997c18460130bdc72e9fcaad8de36030b7d SHA512 4a861b90ca03b252dae0b530ab39cf0fe67dd38e306cc639b6e24516b01d7d25918c0f7e1fb0a105ab51d3be802d349576b4f0ee7ef6ea26bb11fc16abada3dd
+DIST racket-8.11-src-builtpkgs.tgz 156675262 BLAKE2B eff8872ee6bdf84f5fe426970ce9dd84f659eb1c437e820c8e853ee942dcebe2d306707d2e7d4b3fb1be648e5a795d3240f294aba5b8f5989d6eaca72c0e7dd5 SHA512 928b331797b1d9130a765ec2104a569ab984ab5bb101c6cc445f6ef60601d5d42df1db5ebda0ff1aff09592a55118dcdf0bc47467dce13535eabe2f8e4bcf0d1
DIST racket-8.6-src-builtpkgs.tgz 154505661 BLAKE2B ab788ae3e5175024ec75fa0c34297616ab4dcc1bb6f62d4ff4623dc2dd699d63eb9b24238407a854b03210f21fefd02680dc29931ed9d146920ae32472196e32 SHA512 c2948164463fb59a2d6f1b5188cee7634da190ea40bd19f5a88ef466ccdf07da03503b6a1f00e327a66c31b862048bcd5b047f7c586ea0d26e23397ee5ee7682
DIST racket-8.9-src-builtpkgs.tgz 157090283 BLAKE2B 515ad19f37a18decb52ea42ceff5b4570d311d39e15996eb0abd228d16ef5fcae971a87145faf7d27584dc0d6b54b1d94a77bb099e6c2dfd3fa5ddca0b3333b0 SHA512 0eb823600233746e9b5e054747fc5ee1c033a102fe6ab912cc2a15d4ad5b217e04c25124f1877ce04eada4f99c2d6b08cc58adf07535c3962f7d05a21dce8471
DIST racket-minimal-8.10-src-builtpkgs.tgz 23128997 BLAKE2B 614cd3bdaf8852a5de1487c06e2b28968709fade25654684a4ba4f458a983783af23837996bbf163907312fc8e79b2fe22421983bcfe10ae391e0091ec60474d SHA512 aa16ee792b978fbef74b9b3a4af70eb264515bc16ed2109ade15ce54c658b0ccf9bffd9b07b71263298c0eb6eed768ad3d7e2c9e00df284ec1793b7fe0494f82
+DIST racket-minimal-8.11-src-builtpkgs.tgz 23127690 BLAKE2B d9855977312af6313dad0b020436e8a3838814a814f48a1d3ef88f51b99c95163f6564f47ec01d23020bdc0eaeeeb3219f55f8e0fdd74a57069e7e533b36eaa6 SHA512 0f7ac946d544449b45f1301d8530ab80baf9ddaa2e2b6ac043926f233e1feb1829a6a49ebd35603b4b2b9d27ba6db2382b47e355464a7855aaaa2954bf693dfe
DIST racket-minimal-8.6-src-builtpkgs.tgz 22396113 BLAKE2B e8c09da9aef52566746def36823e736e07990ba703d8440a3d067cbeeb43c8d026469c1d4b7d9ad2a423766692b81d6efa400c55512450621acd624d23b1b193 SHA512 695f9be11cab2cf84d1c16b322feb6c4552bf05edbfd901e91fa9532ef52339a6463d8327f4ae4c704cd2e8d67e69c2333bc13b1c862bbe565af00b407debee8
DIST racket-minimal-8.9-src-builtpkgs.tgz 23084628 BLAKE2B 5e1e688dc600b700ed13acdbbafddaa2d6bf5a0e05db4a845b53f33e9448b277f342f5f615086f78db4762eeac11911c9b88cd102f05fbe165fcdff72a9ebcf3 SHA512 404aa01242eb68453e9db3cc14e38b99a02af9eb13b1dccce36e1de9c10d2ddd37bc6411abad7ab58045c71d25336e09d6e06f391cc3ee372097ca68fc497051
diff --git a/dev-scheme/racket/files/racket-8.11-repair-builtpkgs.patch b/dev-scheme/racket/files/racket-8.11-repair-builtpkgs.patch
new file mode 100644
index 000000000000..9629aeb2e539
--- /dev/null
+++ b/dev-scheme/racket/files/racket-8.11-repair-builtpkgs.patch
@@ -0,0 +1,61 @@
+From bed9a444b85951cb83e2b37d07cea2dcadb551b3 Mon Sep 17 00:00:00 2001
+From: Matthew Flatt <mflatt@racket-lang.org>
+Date: Wed, 15 Nov 2023 10:56:31 -0700
+Subject: [PATCH] repair install of a builtpkgs build
+
+---
+ racket/src/bc/build.zuo | 3 ++-
+ racket/src/cs/c/build.zuo | 3 ++-
+ racket/src/lib.zuo | 4 ++++
+ 3 files changed, 8 insertions(+), 2 deletions(-)
+
+diff --git a/bc/build.zuo b/bc/build.zuo
+index 5af471ba8cd..98b6ea34f3b 100644
+--- a/bc/build.zuo
++++ b/bc/build.zuo
+@@ -637,7 +637,8 @@
+
+ (define (setup-prepare-to-here?)
+ (and (equal? (lookup 'MAKE_COPYTREE) "copytree")
+- (not cross?)))
++ (not cross?)
++ (not (in-builtpkgs-distro?))))
+
+ (define the-targets
+ (append
+diff --git a/cs/c/build.zuo b/cs/c/build.zuo
+index 451e2c8c2a0..c47649f206f 100644
+--- a/cs/c/build.zuo
++++ b/cs/c/build.zuo
+@@ -373,7 +373,8 @@
+
+ (define (setup-prepare-to-here?)
+ (and (equal? (lookup 'MAKE_COPYTREE) "copytree")
+- (not cross?)))
++ (not cross?)
++ (not (in-builtpkgs-distro?))))
+
+ (define the-targets
+ (make-targets
+diff --git a/lib.zuo b/lib.zuo
+index 80c5c88c94e..64c41b6c7a4 100644
+--- a/lib.zuo
++++ b/lib.zuo
+@@ -42,6 +42,7 @@
+ strip-lib-debug
+ run-raco-setup
+ raco-setup-prepare-to-here
++ in-builtpkgs-distro?
+
+ install-license-files
+ maybe-copytree
+@@ -494,6 +495,9 @@
+ built-racket
+ #f '()))
+
++(define (in-builtpkgs-distro?)
++ (file-exists? (at-source "../collects/racket/compiled/base_rkt.zo")))
++
+ (define (install-license-files sharepltdir)
+ (mkdir-p sharepltdir)
+ (for-each (lambda (path)
diff --git a/dev-scheme/racket/racket-8.11.ebuild b/dev-scheme/racket/racket-8.11.ebuild
new file mode 100644
index 000000000000..384f6d7d658c
--- /dev/null
+++ b/dev-scheme/racket/racket-8.11.ebuild
@@ -0,0 +1,184 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop optfeature toolchain-funcs readme.gentoo-r1
+
+DESCRIPTION="General purpose, multi-paradigm Lisp-Scheme programming language"
+HOMEPAGE="https://racket-lang.org/
+ https://github.com/racket/racket/"
+SRC_URI="
+ minimal? ( https://download.racket-lang.org/installers/${PV}/${PN}-minimal-${PV}-src-builtpkgs.tgz )
+ !minimal? ( https://download.racket-lang.org/installers/${PV}/${P}-src-builtpkgs.tgz )
+"
+S="${WORKDIR}/${P}/src"
+
+# See https://blog.racket-lang.org/2019/11/completing-racket-s-relicensing-effort.html
+LICENSE="
+ || ( MIT Apache-2.0 )
+ chez? ( Apache-2.0 )
+ !chez? ( LGPL-3 )
+"
+# Bytecode generated by Racket is not compatible between versions.
+# The bytecode version should be denoted by SLOT, in most cases
+# PV == SLOT but this has to be checked carefully and in cases
+# where we use _p, _pre, etc it will have to be set manually.
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="+chez +doc +futures iconv +jit minimal ncurses +places +threads"
+# See bug #809785 re chez/threads
+REQUIRED_USE="chez? ( futures places ) futures? ( jit threads ) places? ( threads )"
+
+RDEPEND="
+ dev-db/sqlite:3
+ dev-libs/libffi:=
+ ncurses? ( sys-libs/ncurses:= )
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=( "${FILESDIR}/${PN}-8.11-repair-builtpkgs.patch" )
+
+# "mred" and "mzscheme" are binaries generated by Racket, not CC
+QA_FLAGS_IGNORED="usr/bin/mred usr/bin/mzscheme"
+
+DOC_CONTENTS="
+If you wish to use sys-libs/readline instead of dev-libs/libedit
+for readline-like features in the Racket's REPL you can install
+the package 'readline-gpl' using raco, Racket's package manager
+https://pkgs.racket-lang.org/package/readline-gpl
+"
+
+# Package database files (for pkg_preinst & pkg_config)
+PKGDB=(
+ /usr/share/racket/info-cache.rktd
+ /usr/share/racket/links.rktd
+ /usr/share/racket/pkgs/pkgs.rktd
+)
+
+src_prepare() {
+ # Prepare the environment.
+ unset PLTADDONDIR PLTCOLLECTS PLTCONFIGDIR PLTUSERHOME
+
+ default
+
+ # Remove bundled libffi.
+ rm -r "${S}/bc/foreign/libffi" || die "failed to remove bundled libffi"
+}
+
+src_configure() {
+ # Compilation of Zuo does not respect the autoconf configuration.
+ tc-export CC
+
+ einfo "Configuring Zuo in ${S}/zuo"
+ pushd "${S}/zuo" >/dev/null || die
+ econf
+ popd >/dev/null || die
+
+ einfo "Configuring Racket in ${S}"
+ # Libtool:
+ # According to vapier, we should use the bundled libtool
+ # such that we don't preclude cross-compile.
+ # Thus don't use --enable-lt=/usr/bin/libtool
+ # Backend:
+ # --enable-bc builds Racket w/o chez backend
+ # C Libraries:
+ # --enable-libs & --disable-shared is the way to build
+ # .a files that are needed to embed Racket into programs
+ # https://docs.racket-lang.org/inside/cs-embedding.html
+ local -a myconf=(
+ --disable-shared
+ --disable-strip
+ --docdir="${EPREFIX}/usr/share/doc/${PF}"
+ --enable-libs
+ $(usex chez "--enable-cs --enable-csonly" "--enable-bc --enable-bconly")
+ $(use_enable doc docs)
+ $(use_enable iconv)
+ $(use_enable ncurses curses)
+ )
+ # Some options are togglable only for the BC version (are forced in CS)
+ ! use chez && myconf+=(
+ --enable-float
+ --enable-foreign
+ --enable-gracket
+ --enable-libffi
+ $(use_enable futures)
+ $(use_enable jit)
+ $(use_enable places)
+ $(use_enable threads pthread)
+ )
+ econf "${myconf[@]}"
+}
+
+src_compile() {
+ # Compile Racket.
+ CC_FOR_BUILD="$(tc-getCC)" default
+
+ # Recompile Zuo with optimizations.
+ emake -C zuo
+}
+
+src_install() {
+ # Install Racket.
+ default
+
+ # Install Zuo.
+ emake -C zuo DESTDIR="${ED}" install
+
+ # raco needs decompressed files for packages doc installation, bug #662424
+ use doc && docompress -x "/usr/share/doc/${PF}"
+
+ # Create missing desktop files and icon.
+ if ! use minimal ; then
+ newicon "${ED}/usr/share/racket/drracket-exe-icon.png" racket.png
+
+ make_desktop_entry "gracket" "GRacket" "racket" "Development;Education;"
+ make_desktop_entry "plt-games" "PLT Games" "racket" "Education;Game;"
+ fi
+
+ readme.gentoo_create_doc
+}
+
+pkg_preinst() {
+ # If we are merging the same SLOT check if package
+ # database files exist and do not overwrite them
+ if has_version "${CATEGORY}/${PN}:${SLOT}" ; then
+ echo "We are installing the same SLOT: ${SLOT}"
+
+ local rktd
+ for rktd in "${PKGDB[@]}" ; do
+ if [[ -f "${EROOT}/${rktd}" ]] && [[ -f "${ED}/${rktd}" ]] ; then
+ einfo "Keeping old file: ${rktd}"
+
+ mv "${ED}/${rktd}" "${ED}/${rktd}.bak" ||
+ die "failed to create a backup of ${rktd}"
+
+ cp "${EROOT}/${rktd}" "${ED}/${rktd}" ||
+ die "failed to create a copy of ${rktd}"
+ fi
+ done
+ fi
+}
+
+get_outsiders() {
+ racket -l raco -- pkg show -i | grep 'link' | sed 's|link.*||g'
+}
+
+pkg_postinst() {
+ # If we have any pkgs not included in Racket main distribution (outsiders),
+ # then we have to re-setup them or during installation other pkgs will want
+ # to recompile parts of "outsider" pkgs they depend upon (and fail).
+ local -a outsiders=( $(get_outsiders) )
+ if [[ -n "${outsiders[@]}" ]] ; then
+ ebegin "Running \"raco setup\" for outsider packages"
+ echo "Outsiders: ${outsiders[@]}"
+
+ raco setup --all-users --force --no-docs --no-user --pkgs "${outsiders[@]}"
+ eend 0 # do not fail
+ fi
+
+ optfeature "readline editing features in REPL" dev-libs/libedit
+ optfeature "generating PDF files using Scribble" dev-texlive/texlive-fontsextra
+
+ readme.gentoo_print_elog
+}
diff --git a/eclass/multibuild.eclass b/eclass/multibuild.eclass
index d8a5862731bf..f15d3327c7dd 100644
--- a/eclass/multibuild.eclass
+++ b/eclass/multibuild.eclass
@@ -129,8 +129,8 @@ multibuild_foreach_variant() {
_multibuild_run "${@}" \
> >(exec tee -a "${T}/build-${MULTIBUILD_ID}.log") 2>&1
lret=${?}
+ [[ ${ret} -eq 0 && ${lret} -ne 0 ]] && ret=${lret}
done
- [[ ${ret} -eq 0 && ${lret} -ne 0 ]] && ret=${lret}
return ${ret}
}